| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightVisibleCallback Struct Reference
[Crystal Space 3D Engine]

A callback that is fired whenever a light is visible. More...

`#include <iengine/sector.h>`

Inheritance diagram for iLightVisibleCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | LightVisible (iSector *sector, iLight *light)=0
| The light is visible.

## Detailed Description

A callback that is fired whenever a light is visible.

This callback is used by:

- iSector

Definition at line 135 of file sector.h.

## Member Function Documentation

virtual void iLightVisibleCallback::LightVisible | ( | iSector * | sector,
|  | iLight * | light |
| ) |  |  | `[pure virtual]`

The light is visible.

The documentation for this struct was generated from the following file:

- iengine/sector.h